{{> partials/header}}
     
{{> partials/navbar}}

  <script>
    var articleId = '{{id}}';
    var imageUrl = '{{{imageUrl}}}';
    var imageBodyArray = {{{imageBodyArray}}};
  </script>

  <div class="row justify-content-center">
    <div class="col-sm-7 col-9 form">
          <h3>{{#id.length}}Edit article ({{id}}){{/id.length}}{{^id.length}}New article{{/id.length}}</h3>
          <form action="/admin/edit" method="post" class="form" id="savearticleform">

            <fieldset class="form-group">
                <label>Slug (*):</label>
                <input class="form-control" type="text" name="slug"  value="{{slug}}"/>
            </fieldset>
            <fieldset>
                <label>Title:</label>
                <input class="form-control" type="text" name="title" value="{{title}}"/>
            </fieldset>
            <fieldset>
                <label>Subtitle:</label>
                <input class="form-control" type="text" name="subTitle" value="{{subTitle}}"/>
            </fieldset>
            <fieldset>
                <label>Category:</label>
                <input class="form-control" type="text" name="category" value="{{category}}"/>
            </fieldset>
            <fieldset>
                <label>Author:</label>
                <input class="form-control" type="text" name="author" value="{{author}}"/>
            </fieldset> 
            <fieldset>
                <label>Date posted [yyyy-mm-dd] (leave empty to autofill):</label>
                <input class="form-control" type="text" name="datePosted" value="{{datePosted}}"/>
            </fieldset>
            <fieldset>
                <label>Tags (comma separated list):</label>
                <input class="form-control" type="text" name="tagsFlat" value="{{tagsFlat}}"/>
            </fieldset>
            <fieldset>
                <label>Body:</label>
                <textarea class="form-control large-area" name="body">{{body}}</textarea>
            </fieldset>
            <input type="hidden" name="id" value="{{id}}">
            <input type="hidden" name="imageUrl" id="hiddenImageUrl" value="{{{imageUrl}}}">
            <input type="hidden" name="imageBodyArray" id="hiddenimageBodyArray" value="{{{escapedimageBodyArray}}}">
            
          </form>
          <br>
          <fieldset>
            <label>Main image (click or drag&drop):</label>
            <form action="/admin/upload" class="dropzone" id="dropzoneFileUpload"></form>

          </fieldset>
          <br>
          <fieldset>
            <label>Article body images (use with [[image1]], [[image2]], ..):</label>
            <form action="/admin/upload" class="dropzone" id="additionalFileUpload"></form>

          </fieldset>
          <br>
          <div class="text-right">
            <a href="/admin" class="btn btn-secondary ml-8" >Back</a>
            <input type="submit" class="btn btn-primary text-white ml-8" value=" Save" id="savearticlesubmit">
          </div>
          <br>

          
    </div>
  </div>



{{> partials/footer}}